Subject: bug#22774: Bootstrapping issue with HTTPS downloads

From: [email-masked] (Ludovic Courtès)
Date: Sun, 31 Jul 2016 18:28:43 +0200

[email-masked] (Ludovic Courtès) skribis:

> Fixed-output derivations for HTTPS downloads depend on GnuTLS.  However,
> pkg-config, one of GnuTLS’s dependencies, is now available exclusively
> over HTTPS, which creates a bootstrapping issue, as reported by
> Christopher W Carpenter and others:
>
>   https://lists.gnu.org/archive/html/guix-devel/2016-02/msg00354.html

This is mitigated by the use of content-addressed mirrors over HTTP, as
in commit 40f788b9f6184436d9cc36a4dd8e7d101cd2f0ba (obviously a stop-gap
measure more than a real fix.)

Ludo’.